#pragma once

//------------------------------------------------------------------------------------------------------------------------
// Actors
//------------------------------------------------------------------------------------------------------------------------
#define BP_Actor_AI_Raptoid               200
#define BP_Actor_AI_Endtrail              201
#define BP_Actor_AI_CitySoldier           202
#define BP_Actor_AI_Fireborn 			  203
#define BP_Actor_AI_Raptor                300
#define BP_Actor_AI_FleshSentinel 		  400
#define BP_Actor_AI_DeathGuard 			  401
#define BP_Actor_AI_LordoftheFlesh 		  402
#define BP_Actor_AI_Sentinel              500
#define BP_Actor_AI_Guardian              501
#define BP_Actor_AI_SpiderHatchling       502
#define BP_Actor_AI_CaveSpider 			  503
#define BP_Actor_AI_CaveWorm              505
#define BP_Actor_AI_Nala 				  507
#define BP_Actor_AI_Grub                  511
#define BP_Actor_AI_FleshWorm             512
#define BP_Actor_AI_WarClub 			  600
#define BP_Actor_AI_Gunner                602
#define BP_Actor_AI_Juggernaut            603
#define BP_Actor_AI_SwampWasp             604
#define BP_Actor_AI_Mite                  707
#define BP_Actor_AI_Worker                708
#define BP_Actor_AI_Drone                 709
#define BP_Actor_AI_HiveSoldier 		  710
#define BP_Actor_AI_Deadman               800
#define BP_Actor_AI_DeadmanHalf           801
#define BP_Actor_AI_LordoftheDead 		  803
#define BP_Actor_AI_SisterofDespair 	  804
#define BP_Actor_AI_QueenPuppet           888
#define BP_Actor_AI_MotherPuppet          889
#define BP_Actor_AI_PrimagenTrooper 	  900
#define BP_Actor_AI_BioBot 				  901
#define BP_Actor_AI_PrimagenGuard 		  902
#define BP_Actor_AI_PrimagenDrone         903
#define BP_Actor_AI_Leaper                1000
#define BP_Actor_AI_MotherBoss            1102
#define BP_Actor_AI_EyeBallBoss           1104
#define BP_Actor_AI_QueenBoss             1105
#define BP_Actor_AI_Primagen              1107
#define BP_Actor_AI_Sphincter             1108
#define BP_Actor_AI_SwampTentacle         1109
#define BP_Actor_AI_CeilingTentacle       1110
#define BP_Actor_AI_QueenPod              1111
#define BP_Actor_AI_MotherGrub            1112
#define BP_Actor_AI_Compsognathus 				5000
#define BP_Actor_AI_HiveSoldierStationary 		5001
#define BP_Actor_AI_PrimagenTrooperStationary 	5002
#define BP_Actor_AI_PrimagenGuardStationary		5003
#define BP_Actor_AI_FirebornStationary 			5004
#define BP_Actor_AI_DeathGuardStationary 		5005
#define BP_Actor_AI_LordoftheFleshStationary 	5006
#define BP_Actor_AI_AraissiSoldier 				5007
#define BP_Actor_AI_EndtrailStationary 			5008
#define BP_Actor_AI_GuardianStationary 			5009
#define BP_Actor_AI_GunnerStationary 			5010
#define BP_Actor_AI_DroneStationary 			5011

#define BP_Actor_WorldChar 						23000
#define BP_Actor_Controller_Flare				23001
#define BP_Actor_WayPoint 						22600 //AI uses this for going to path
#define BP_Actor_WorldPoint						22702

#define BP_Actor_Map							24000

//------------------------------------------------------------------------------------------------------------------------
// Particles
//------------------------------------------------------------------------------------------------------------------------
#define BP_Particle_GroundPound     			500
#define BP_Particle_FlareDamage	    			502
#define BP_Particle_CharStart					800 //800 to 927 are reserved for ascii characters

//------------------------------------------------------------------------------------------------------------------------
// Weapons
//------------------------------------------------------------------------------------------------------------------------
#define MAX_WEAPONS	33

//------------------------------------------------------------------------------------------------------------------------
// Inventory Items
//------------------------------------------------------------------------------------------------------------------------
#define BP_Inventory_AirJump				5000
#define BP_Inventory_Mag60Upgrade			5001
#define BP_Inventory_GroundPoundUpgrade		5002
#define BP_Inventory_RazorWindUpgrade		5003

//------------------------------------------------------------------------------------------------------------------------
// Sounds
//------------------------------------------------------------------------------------------------------------------------
#define BP_SFX_Slap							6100
