namespace BP
{
	namespace Weapon
	{
		class WarBlade : ScriptWeapon
		{   
			//------------------------------------------------------------------------------------------------------------------------
			WarBlade(kWeapon @actor)
			{
				id = kWpn_Blade;
				super(actor);
			}
			//------------------------------------------------------------------------------------------------------------------------
			void OnFire(void) override
			{
				ScriptWeapon::OnFire();
				self.AnimTrackComponent().ChangeSpeed(2.20f);
			}
			//------------------------------------------------------------------------------------------------------------------------
			void OnTick(void) override
			{
				ScriptWeapon::OnTick();
	
	        if(self.AnimTrackComponent().PlayingID() == ANIM_WPN_ENTER)
				{
					self.AnimTrackComponent().ChangeSpeed(0.3f);
				}
			if(self.AnimTrackComponent().PlayingID() == ANIM_WPN_EXIT)
				{
					self.AnimTrackComponent().ChangeSpeed(0.3f);
			    }
			}
			//------------------------------------------------------------------------------------------------------------------------
		};
	}
}
