namespace BP
{
	namespace Weapon
	{
		class GrenadeLauncher : ScriptWeapon
		{
			//------------------------------------------------------------------------------------------------------------------------
			GrenadeLauncher(kWeapon @actor)
			{
				id = kWpn_GrenadeLauncher;
				super(actor);
			}
			//------------------------------------------------------------------------------------------------------------------------
						void OnFire(void) override
			{
				ScriptWeapon::OnFire();
				self.AnimTrackComponent().ChangeSpeed(2.90f);
			}
			//------------------------------------------------------------------------------------------------------------------------
			void OnTick(void) override
			{
				ScriptWeapon::OnTick();
	
	        if(self.AnimTrackComponent().PlayingID() == ANIM_WPN_ENTER)
				{
					self.AnimTrackComponent().ChangeSpeed(0.3f);
				}
			if(self.AnimTrackComponent().PlayingID() == ANIM_WPN_EXIT)
				{
					self.AnimTrackComponent().ChangeSpeed(0.3f);
			    }
			}
			//------------------------------------------------------------------------------------------------------------------------
			void OnRaise(void) override
			{
				ScriptWeapon::OnRaise();
				self.PlaySound("sounds/shaders/raise_weapon.ksnd");
			}
			//------------------------------------------------------------------------------------------------------------------------
			
		};
	}
}
